На сайте мессенджера WhatsApp появилась информация о критической уязвимости CVE-2022-36934, которая была исправлена в новых версиях приложений сервиса, но всё ещё может затрагивать пользователей, использующих старые версии клиента. Разработчики рекомендуют пользователям обновить приложение WhatsApp до наиболее актуальной версии.

Согласно имеющимся данным, злоумышленник может использовать упомянутую уязвимость для выполнения произвольного кода на смартфоне жертвы после отправки ей особым образом сконфигурированного видео. Уязвимости, связанные с удалённым выполнение кода, позволяют злоумышленникам устанавливать на устройства жертв вредоносное программное обеспечение, включая программы-шпионы, используемые для кражи конфиденциальной информации. Что касается уязвимости CVE-2022-36934, то она была признана критической и по индексу CVE получила оценку опасности 9,8 из 10 баллов.

В этой же публикации разработчики WhatsApp сообщили об исправлении уязвимости CVE-2022-27492, эксплуатация которой позволяет осуществить удалённое выполнение кода на устройстве жертвы после отправки ей вредоносного видео. Эта уязвимость получила статус серьёзности «высокий», а её опасность по шкале CVE оценивается в 7,8 из 10 баллов.

Обе упомянутые уязвимости исправлены в выпущенных недавно версиях мессенджера WhatsApp 2.22.16.12 для потребителей и бизнеса на платформах Android и iOS. Вместе с этим в новой версии мессенджера появилась функция, которая упростит процесс присоединения к групповым чатам в WhatsApp.


Источник: 3dnews.ru